# PCBJacobiGetLocalBlocks

Gets the local number of blocks for the block Jacobi preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCBJacobiGetLocalBlocks(PC pc, PetscInt *blocks, const PetscInt *lens[])

Not Collective

### Input Parameters

| pc | - the preconditioner context
| blocks | - the number of blocks
| lens | - [optional] integer array containing size of each block

### Note

Currently only a limited number of blocking configurations are supported.

### Keywords

PC, get, number, Jacobi, local, blocks

### See Also

PCBJacobiSetUseTrueLocal(), PCBJacobiGetTotalBlocks()

Level:intermediate
Location: src/ksp/pc/impls/bjacobi/bjacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages